Linux, any version > 2.83 crash on startup

There are a few scattered reports of this and I’m pretty much stuck. Running Mint, and Blender version higher than 2.83 crashes immediately with this error:
$ ./blender
ERROR (gpu.shader): OVERLAY_shader_outline_prepass_pointcloud_1223 Linking:
|
| Error: Input block `ShaderStageInterface’ is not an output of the previous stage

Writing: /tmp/blender.crash.txt
Segmentation fault

here is crash.txt:

Blender 2.92.0, Commit date: 2021-02-24 16:25, Hash 02948a2cab44

backtrace

./blender(BLI_system_backtrace+0x20) [0x865aed0]
./blender() [0xeb124a]
/lib/x86_64-linux-gnu/libc.so.6(+0x354c0) [0x7f14b27da4c0]
./blender(GPU_shader_get_builtin_block+0) [0x7247710]
./blender() [0x138787e]
./blender(DRW_shgroup_create+0x1d) [0x138966d]
./blender(OVERLAY_outline_cache_init+0xce) [0x13c19be]
./blender() [0x13b77f5]
./blender() [0x13837e6]
./blender(DRW_draw_render_loop_ex+0x2c4) [0x1384e24]
./blender(view3d_main_region_draw+0x8f) [0x1c00e9f]
./blender(ED_region_do_draw+0x7e1) [0x17a7a61]
./blender(wm_draw_update+0x52e) [0x123ae5e]
./blender(WM_main+0x30) [0x1238cf0]
./blender(main+0x31e) [0xde8b2e]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0) [0x7f14b27c5840]
./blender() [0xeadbe3]

Python backtrace

Hi Photox.
I remember that you had problems with your hardware and you were using intel iGPU right? (sorry if I’m not remembering it well)

Blender crashes are always something to report in developer.blender.org. You don’t be afraid to do it. Possibilities may be that it is a Blender bug, a driver bug, or unsupported hardware. Those who can best tell us what the problem is are the developers or bug tracker maintainers.

So if you report the problem, share that crash log with developers. You also share with developers your Linux distro and version, and the output of the following commands from the terminal:

lspci | grep -iE 'vga|3D'

and

sudo lshw -c video

1 Like

Thanks @YAFU , I will probably do this.